Package twisted :: Package protocols :: Module smtp :: Class User

[show private | hide private]
[frames | no frames]

## Class User

Hold information about and SMTP message recipient, including information on where the message came from

Method Summary
| `__init__(self, destination, helo, protocol, orig)`
| `__getattr__(self, attr)`
| ``__getstate__`(self)` Helper for pickle.
| `__str__(self)`

Method Details

### __getstate__(self)

Helper for pickle.

protocol isn't picklabe, but we want User to be, so skip it in the pickle.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:15 2003 | http://epydoc.sf.net